Skip site navigation (1)Skip section navigation (2)
Date:      Mon, 30 Jul 2018 15:38:13 -0700
From:      John Baldwin <jhb@FreeBSD.org>
To:        Eitan Adler <eadler@freebsd.org>, Kostik Belousov <kostikbel@gmail.com>
Cc:        src-committers <src-committers@freebsd.org>, svn-src-all@freebsd.org, svn-src-stable@freebsd.org, svn-src-stable-11@freebsd.org
Subject:   Re: svn commit: r336805 - in stable/11: share/man/man4 sys/dev/vt/hw/vga
Message-ID:  <b1ce32ec-0f09-c4fe-c2f7-0494d84cf6ae@FreeBSD.org>
In-Reply-To: <CAF6rxgnMYu4nszR-rbjpv4ovFH7m76mLYVfh=O542sB_AHRfrg@mail.gmail.com>
References:  <201807280737.w6S7b12F025452@repo.freebsd.org> <20180728233405.GD40119@kib.kiev.ua> <CAF6rxgnMYu4nszR-rbjpv4ovFH7m76mLYVfh=O542sB_AHRfrg@mail.gmail.com>

next in thread | previous in thread | raw e-mail | index | archive | help
On 7/28/18 10:12 PM, Eitan Adler wrote:
> On Sat, 28 Jul 2018 at 16:34, Konstantin Belousov <kostikbel@gmail.com> wrote:
>>
>> On Sat, Jul 28, 2018 at 07:37:01AM +0000, Eitan Adler wrote:
>>> Author: eadler
>>> Date: Sat Jul 28 07:37:01 2018
>>> New Revision: 336805
>>> URL: https://svnweb.freebsd.org/changeset/base/336805
>>>
>>> Log:
>>>   MFC r335629:
>>>
>>>   vt: add option to ignore NO_VGA flag in ACPI
>>>
>>>   To workaround buggy firmware that sets this flag when there's actually
>>>   a VGA present.
>>>
>>>   Ref D16003
>>>   PR:         229235
>>>
>>> Modified:
>>>   stable/11/share/man/man4/vt.4
>>>   stable/11/sys/dev/vt/hw/vga/vt_vga.c
>>> Directory Properties:
>>>   stable/11/   (props changed)
>>>
>>> Modified: stable/11/share/man/man4/vt.4
>>> ==============================================================================
>>> --- stable/11/share/man/man4/vt.4     Sat Jul 28 06:46:10 2018        (r336804)
>>> +++ stable/11/share/man/man4/vt.4     Sat Jul 28 07:37:01 2018        (r336805)
>>> @@ -44,6 +44,7 @@
>>>  In
>>>  .Xr loader.conf 5 :
>>>  .Cd hw.vga.textmode=1
>>> +.Cd hw.vga.acpi_ignore_no_vga=1
>>>  .Cd kern.vty=vt
>>>  .Cd kern.vt.color.<colornum>.rgb="<colorspec>"
>>>  .Cd kern.vt.fb.default_mode="<X>x<Y>"
>>> @@ -196,6 +197,10 @@ prompt or in
>>>  Set to 1 to use virtual terminals in text mode instead of graphics mode.
>>>  Features that require graphics mode, like loadable fonts, will be
>>>  disabled.
>>> +.It Va hw.vga.acpi_ignore_no_vga
>>> +Set to 1 to force the usage of the VGA driver regardless of whether
>>> +ACPI IAPC_BOOT_ARCH signals no VGA support.
>>> +Can be used to workaround firmware bugs in the ACPI tables.
>>>  .It Va kern.vty
>>>  Set this value to
>>>  .Ql vt
>>>
>>> Modified: stable/11/sys/dev/vt/hw/vga/vt_vga.c
>>> ==============================================================================
>>> --- stable/11/sys/dev/vt/hw/vga/vt_vga.c      Sat Jul 28 06:46:10 2018        (r336804)
>>> +++ stable/11/sys/dev/vt/hw/vga/vt_vga.c      Sat Jul 28 07:37:01 2018        (r336805)
>>> @@ -1211,6 +1211,12 @@ vga_acpi_disabled(void)
>>>       ACPI_TABLE_FADT *fadt;
>>>       vm_paddr_t physaddr;
>>>       uint16_t flags;
>>> +     int ignore;
>>> +
>>> +     TUNABLE_INT_FETCH("hw.vga.acpi_ignore_no_vga", &ignore);
>>> +
>>> +     if (ignore)
>>> +         return (false);
> 
>> If the tunable is not set, this code evaluates the stack garbage.
>> Why did you merged this without asking the author and not looking
>> at the followups ?
> 
> Please assume some level of good faith.
> 
> I MFCed this because I was asked to here
> https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229235 over a month
> ago. During that time no one mentioned or linked any followups. I did
> look in my email for mentions of r335629 as well - of which there are
> none.
> 
> Now that you mention it, I looked at the svn log and found r335631
> which I will MFC as well.

If MFC'ing a change by another developer you should proactively look at
the svn logs of the changed files to see if there are follow up fixes.
I do this myself via svnweb for my own commits.  I also have a script
that takes a given svn revision ID to merge from head to the current
working directory, grabs the list of files from that change, then
outputs a list of all the not-yet-merged svn revisions that touch the
effected files so I can review them to see which ones are followups:

#!/bin/sh
#
# mfclist <rev> [rev ... ]
#
# Given 1 or more SVN revisions for commits to head, build a list of eligible
# commits to those files that haven't been merged yet.  Must be run with the
# cwd being the root of a checkout to merge to from ^/head.

WRKDIR=`mktemp -d -t mfclist`
if [ $? -ne 0 ]; then
        echo "Can't create temporary directory."
        exit 1
fi

cleanup()
{

        [ -d ${WRKDIR} ] && rm -rf ${WRKDIR}
}

trap cleanup EXIT INT QUIT TERM

for rev; do
        svn log -qvc ${rev} ^/head | \
            awk '/^   [A-Z] / { sub(/\/head\//, "", $2); print $2 }' >> \
                ${WRKDIR}/files
done
sort ${WRKDIR}/files | uniq > ${WRKDIR}/files.u
xargs -I % -n 1 svn mergeinfo --show-revs eligible '^/head/%' % < \
      ${WRKDIR}/files.u | sort | uniq
exit 0

-- 
John Baldwin



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?b1ce32ec-0f09-c4fe-c2f7-0494d84cf6ae>